# Le manuel de &konsole;

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Mainteneur
Michael
McBride
Relecteur

    mmcbride@ematic.com

Lauri
Watts
Relecteur

    lauri@kde.org

Anne-Marie
Mahfouf

    a-m.mahfouf@lineone.net

Traduction française
Ludovic
Grossard

    ludovic.grossard@libertysufr.fr

Traduction française
2000
2001
2002
Jonathan Singer
&FDLNotice;
2001-12-25
1.10.00

Ce document est le manuel de l'utilisateur pour l'application &konsole;.

&konsole; est un émulateur de terminal X pour &kde; 2.0.

KDE
konsole
kdebase
commande
ligne

## Introduction à &konsole;

### Qu'est-ce qu'un terminal ?

Les systèmes d'exploitation &UNIX; étaient à l'origine des systèmes uniquement de type texte, contrôlés par des commandes au clavier -- ce que l'on appelle interface en ligne de commande (CLI ou command-line interface). Les projets &X-Window; &kde; et d'autres projets ont depuis ajouté l'interface graphique que vous utilisez actuellement. Cependant, le système en ligne de commande sous-jacent est toujours présent, et est fréquemment la méthode la plus facile, rapide et puissante pour réaliser certaines tâches.

&konsole; est ce que l'on appelle un émulateur de terminal X, souvent appelé simplement un terminal ou un shell. Il vous donne l'équivalent d'un écran de type texte sur votre bureau, mais pouvant partager facilement l'écran avec vos applications graphiques. Les utilisateurs de Windows sont peut-être familiers avec l'utilitaire Invite MS-DOS, qui a une fonction analogue consistant à offrir une ligne de commande DOS sous &Windows; (bien que la ligne de commande sous &UNIX; soit bien plus puissante et facile d'utilisation que le DOS ! ).

Expliquer l'utilisation de la ligne de commande &UNIX; sort du cadre de cette documentation, et demanderait un livre entier à elle toute seule. Heureusement, beaucoup de livres sont disponibles dans toutes les langues dans toutes les bonnes librairies. Il y a aussi des tutoriels disponibles sur l'internet. Amusez-vous avec &kde;, mais n'ayez pas peur d'apprendre à vous servir de la ligne de commande ! Vous verrez que simplement en apprenant les bases, votre ordinateur sera beaucoup plus efficace et agréable à utiliser.

### Qu'est-ce qui rend &konsole; différent ?

Les caractéristiques avancées de &konsole; comprennent une configuration aisée et la possibilité d'utiliser des terminaux shell dans une seule fenêtre, diminuant l'encombrement de votre bureau.

En utilisant &konsole; un utilisateur peut ouvrir :

- des sessions de console &Linux;

- des sessions shell

- des sessions Screen

- des sessions du gestionnaire de fichiers Midnight Commander

- des sessions console administrateur (utilisateur root)

- des sessions du gestionnaire de fichiers Midnight Commander en tant qu'administrateur (utilisateur root)

Ces sessions peuvent être renommées pour vous aider à garder trace de tous vos shells, ou on peut leur envoyer des signaux (STOP, CONT, HUP, INT, TERM, KILL).

Pour plus de contrôle sous &konsole;, un utilisateur peut :

- cacher/montrer la barre de menus, la barre d'outils, la barre de défilement et/ou le cadre

- sélectionner la taille d'une fenêtre de &konsole;, les polices, les schémas de couleur et l'assignation des touches

- changer la localisation de la barre de défilement ou cacher celle-ci

Toutes les options choisies peuvent devenir défaut pour les sessions à venir en les enregistrant.

Pour ceux qui ont un intérêt certain dans la taxonomie des terminaux X libres, il en existe deux autres de la même sorte : xterm, l'original, écrit même avant X lui-même (un mois ou deux), et xvt, un clone léger xterm, sur lequel la plupart des dérivés disponibles en ce moment (notamment eterm) sont basés.

Après une décennie, &konsole; est le premier à être entièrement récrit. Alors que xterm a été compliqué à l'extrême pendant ce temps (son fichier `README` commence par les mots Abandonnez tout espoir, vous qui entrez ici), &konsole; offre un nouveau départ en utilisant des technologies et une compréhension contemporaines de X.

## Utilisation de &konsole;

### Démarrage

Quand &konsole; est invoqué, une application (typiquement un shell &UNIX;) s'exécute dans la fenêtre. Tapez simplement à l'invite.

L'écran de &konsole;
L'écran de &konsole;

Une fenêtre "Astuce du jour" peut apparaître au démarrage, vous donnant des conseils sur l'utilisation de &konsole;. Si vous ne voulez pas de ces conseils, décochez Afficher au démarrage.

### Historique

Comme les lignes défilent à partir du haut de l'écran, elles peuvent être visualisées à nouveau en bougeant la barre de défilement vers le haut ou par l'utilisation des touches &Maj;Page précédente (pour revenir à la page précédente), &Maj;Page suivante (pour aller à la page suivante), &Maj;précédente (pour remonter d'une ligne) et les touches &Maj;suivante (pour descendre d'une ligne) (en supposant que l'option "Historique" soit cochée).

### Boutons de la souris

gauche

  Un clic sur le bouton gauche est transmis en tant qu'événement à l'application qui fonctionne dans l'émulateur si elle supporte cette fonction. Si un programme est capable de réagir aux clics de souris, &konsole; l'indique en donnant au curseur la forme d'une flèche. Dans le cas contraire, un curseur en forme de barre verticale est affiché.

  Conserver le bouton gauche enfoncé en déplaçant la souris dans l'écran lorsqu'une application ne gérant pas la souris fonctionne dans le terminal marquera une région du texte. Le texte ainsi marqué sera affiché en vidéo inversée. Dès que le bouton est relâché, le texte marqué est copié dans le presse-papiers pour utilisation ultérieure dans &konsole; ou dans une autre application. Le texte sélectionné peut également être glissé et déposé dans une application compatible. Cliquez sur le texte sélectionné et déposez-le à l'endroit voulu.

  Normalement, des caractères "nouvelle ligne" sont insérés à la fin de chaque ligne sélectionnée. C'est habituellement mieux pour copier-coller du code source ou pour les sorties d'une commande particulière. Pour du texte ordinaire, les sauts de ligne ne sont généralement pas importants. Cependant, on pourrait souhaiter que le texte prenne la forme d'une simple suite de caractères qui sera automatiquement reformatée lorsqu'elle sera collée dans une autre application. Pour sélectionner du texte de cette manière, enfoncez la touche &Ctrl; tout en sélectionnant normalement.

  Dès que le bord supérieur ou inférieur de la zone de texte marquée est atteint, &konsole; le fait défiler vers le haut ou vers le bas, affichant ainsi le cas échéant le contenu du tampon d'historique. Le défilement cesse dès que vous cessez de déplacer la souris.

  Dès que vous relâchez la souris, &konsole; essaye de maintenir la sélection visible en la conservant en vidéo inversée. La zone ainsi marquée revient à un affichage normal dès que le contenu du presse-papiers change, que le texte dans la zone marquée est modifié ou que vous cliquez sur le bouton gauche de la souris.

  Pour marquer du texte dans une application qui gère les événements de souris, il faut enfoncer la touche &Maj; pendant qu'on clique.

central

  En appuyant sur le &BCS;, le texte actuellement dans le presse-papiers est collé. En lassant enfoncée la touche &Ctrl; lorsque vous cliquez avec le &BCS;, le texte est collé et envoyé dans &konsole;.

  Si vous avez une souris avec seulement deux boutons, appuyer en même temps sur le bouton gauche et le bouton droite imite le bouton central de la souris à trois boutons.

droit

  Le bouton droit fait apparaître le menu avec les items Afficher la barre de menus, Coller, Envoyer un signal, Renommer la session..., Configuration et Fermer la session. La combinaison &Ctrl; bouton droit fait apparaître le menu Sessions.

### La barre de menus

La barre de menus se trouve en haut de la fenêtre de &konsole;. Elle peut être cachée et rétablie en décochant/cochant Afficher la barre de menus dans le menu Options. Quand la barre de menus est cachée, l'option Afficher la barre de menus peut être visualisée en cliquant le bouton droit de la souris dans la fenêtre ou avec &Alt;&Ctrl;M .

#### Le menu Session

Session Nouveau shell

  Ouvre une nouvelle session avec un terminal. &Alt;&Ctrl;N peut également être utilisé, comme décrit plus bas.

Session Nouvelle session Screen

  Ouvre une nouvelle session avec le gestionnaire de terminal virtuel Screen. Voir ``man` `screen`` pour plus d'informations.

Session Nouvelle console superutilisateur

  Ouvre une nouvelle session avec un terminal shell, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe de root, l'invite # apparaît, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur (utilisateur root). Cela est fréquemment nécessaire pour installer un nouveau logiciel ou effectuer la maintenance du système, mais des précautions doivent être prises pour éviter tout dommage accidentel.

Session Nouveau Midnight Commander

  Ouvre une nouvelle session avec le navigateur graphique de fichiers Midnight Commander.

Session Nouvelle console Linux

  Ouvre une nouvelle session simulant un système &Linux; en mode texte.

  Voir le fichier `README.linux.console` pour des informations détaillées sur les différences entre une console &Linux; et une console &UNIX; typique. Si ça ne signifie rien pour vous, ne vous inquiétez pas pour ça.

Session Nouveau Midnight Commander en tant que superutilisateur

  Ouvre une nouvelle session avec le navigateur graphique de fichiers Midnight Commander, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe root, l'invite # apparaît sous la fenêtre de navigation, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur (utilisateur root). Encore une fois, il est fréquemment nécessaire de travailler en root mais des précautions doivent être prises pour éviter tout dommage accidentel.

Session Fermer la session.

  Ferme la session actuelle.

Session Quitter

  Quitte &konsole;, en fermant toutes les sessions ainsi que toute application lancée depuis une session.

Vous pouvez également ouvrir une nouvelle session grâce à un accélérateur clavier. Par défaut, il s'agit de &Alt;&Ctrl;N. Vous pouvez également définir votre propre accélérateur clavier pour lancer une nouvelle session de terminal. Les fichiers avec une extension `*.keytab` dans `$`KDEDIR`/share/apps/konsole` définissent des raccourcis clavier.

Par exemple, l'ajout de la définition : `key F12 + Shift : newSession` aux fichiers keytab actifs permet qu'un nouvel interpréteur de commandes soit lancé par l'appui sur &Maj;F12. Utilisez le menu Options Clavier pour choisir un fichier keytab. Le fichier `README.KeyTab` contient plus d'informations sur la manière de définir des raccourcis.

Enfin, notez que les types de sessions peuvent être modifiés, et de nouveaux types créés en utilisant le module du &centreConfiguration; Système Konsole.

#### Le menu Édition

Édition Coller

  Colle du texte depuis le presse-papiers à la position du curseur.

Édition Envoyer un signal

  Envoyer un signal - Envoie le signal spécifié au processus shell, ou tout autre processus, qui a été lancé quand la nouvelle session a débuté.

  Les signaux disponibles actuellement sont :

  STOP | pour arrêter un processus
  CONT | continuer après arrêt
  HUP | arrêt imprévu détecté sur le terminal de contrôle ou mort du processus de contrôle
  INT | interruption du clavier
  TERM | signal de cessation
  KILL | envoie un signal d'arrêt

  Veuillez vous référer aux pages man de votre système pour plus de détails en saisissant la commande ``man` `7 signal``.

Édition Chercher dans l'historique

  Cherche un mot ou une chaîne de caractères dans l'historique. Des options permettent d'être sensible à la casse ou de rechercher en arrière.

Édition Enregistrer l'historique sous...

  Enregistre l'historique dans un fichier texte.

Édition Effacer l'historique

  Efface l'historique de la session en cours.

Édition Effacer tous les historiques

  Efface les historiques de toutes les sessions.

#### Le menu Affichage

Affichage Renommer la session...

  Ouvre une boîte de dialogue vous permettant de changer le nom de la session actuelle. Le nom est affiché dans l'onglet de la session. Vous pouvez également utiliser &Alt;&Ctrl;S .

Affichage Guetter l'activité

  Marque la session actuelle de façon a montrer une alerte si quelque chose se produit. Une icône représentant une ampoule allumée apparaîtra dans l'onglet de la session. Elle permet de vous alerter lorsque quelque chose se produit lorsque vous travaillez dans une autre session.

Affichage Guetter l'inactivité

  Marque la session actuelle de façon a montrer une alerte s'il n'y a aucune activité pendant 10 secondes. Une icône représentant une ampoule éteinte apparaîtra dans l'onglet de la session. Elle permet de vous alerter lorsque une tâche se termine lorsque vous travaillez dans une autre session.

Affichage Envoyer la saisie à toutes les sessions

  Marque la session actuelle de façon que toute commande saisie dans celle-ci soit également envoyée à toutes les sessions. La session comportera une petite icône dans l'onglet pour vous rappeler de faire attention à ce que vous saisissez ! Ce n'est alors vraiment pas une bonne idée de saisir ``rm` `-rf *``.

Affichage Déplacer la session vers la gauche

  Déplace l'onglet de la session actuelle d'un onglet vers la gauche

Affichage Déplacer la session vers la droite

  Déplace l'onglet de la session actuelle d'un onglet vers la droite.

  &Maj; gauche et &Maj; droite peuvent être utilisées pour naviguer entre les sessions.

Affichage Icônes de session...

  À la fin du menu se trouve une liste des sessions disponibles. En sélectionner une rendra cette session active.

  Vous pouvez aussi utiliser les touches &Maj;gauche/&Maj;droit pour parcourir les différentes sessions disponibles.

#### Le menu Configuration

Options Afficher la barre de menus

  Montre ou cache la barre de menus.

Options Afficher la barre d'outils

  Montre ou cache la barre d'outils.

Options Barre de défilement

  Contrôle l'emplacement de la barre de défilement : cachée, à gauche, ou à droite.

Options Plein écran

  Bascule la fenêtre entre plein écran et taille normale.

Configuration Cloche

  Configure la cloche du système au système de notification de &kde;, une cloche visible ou aucun.

Options Police

  Fixe la taille de la police

  Choisissez l'option Personnalisée pour choisir librement la combinaison de police, taille et style souhaitée. Le fichier `README.fonts` dans le code source de &konsole; donne des indications sur les polices qui donnent de bons résultats.

Options Clavier

  Choisit la table de caractères souhaitée.

  La liste de ces tables de caractères se trouve dans `$KDEDIR/apps/konsole/*.keytab`. Le fichier `$KDEDIR/share/apps/konsole/README.KeyTab` décrit le format keytab en détail. Complétez ou modifiez ces fichiers en fonction de vos besoins.

Options Modèle

  Fixe les couleurs du texte et du fond d'écran.

  La liste de ces schémas est lue dans `$KDEDIR/share/apps/konsole/*.schema`. Le fichier `$KDEDIR/share/apps/konsole/README.Schema` décrit le format des schémas avec plus de détails. Complétez ou Modifiez ces fichiers en fonctions de vos besoins. Vous pouvez également créer des schémas personnalisés depuis &kcontrolcenter; en choisissant Système Konsole.

Options Taille

  Fixe la taille de la surface du texte (donnée en colonnes x lignes).

Options Historique

  Ouvre une boîte de dialogue grâce à laquelle vous pouvez configurer l'historique.. La case à cocher Activer contrôle l'enregistrement des lignes qui ont défilé vers le haut de la fenêtre jusqu'à en disparaître. Vous pouvez saisir le Nombre de lignes à mémoriser dans la zone de texte, ou utiliser les compteurs rotatifs pour augmenter ou diminuer ce nombre par tranches de 100 lignes. Le bouton Par défaut réinitialise l'historique à 1000 lignes. En réglant cette valeur à 0, tous les historiques seront enregistrés. Appuyez sur OK pour enregistrer vos modifications, ou sur Annuler pour fermer le dialogue sans enregistrer vos réglages. Le bouton Aide sert à ouvrir le manuel et à afficher le texte que vous êtes en train de lire en ce moment.

Options Enregistrer les options

  Enregistre les paramètres actuels comme nouveaux paramètres par défaut.

Configuration Configurer &konsole;

  Ouvre le module du &centreConfiguration;, vous permettant d'effectuer plusieurs modifications sur l'interface de &konsole;.

#### Le menu Aide

F1 Aide Manuel de Konsole

  Ouvre la table des matières de ce document.

Aide Astuce du jour...

  Affiche une astuce à propos de l'utilisation de &konsole;. Cochez Afficher au démarrage pour obtenir une astuce chaque fois que &konsole; est lancée.

Aide Rapport de bogue...

  Soumettre un rapport de bogue ou demander une caractéristique pour &konsole;.

Aide À propos de Konsole

  Information sur l'auteur de &konsole;

Aide À propos de KDE

  Information sur le projet KDE

### La barre d'outils

La barre d'outils se trouve en bas de la fenêtre de &konsole;.

Elle peut être cachée et rétablie en basculant Afficher la barre d'outils dans le menu Options ou en cliquant sur la poignée sur le côté de la barre. La barre contient une icône Nouveau et des icônes pour les sessions en cours. Cliquer sur Nouveau ouvre une nouvelle session Shell.

En double cliquant sur un onglet de session, une boîte de dialogue permettant de changer le nom de la session apparaît. Vous pouvez également renommer la session avec &Alt;&Ctrl;S .

Cliquer sur l'icône d'une session existante rend cette session active.

Lorsque la barre d'outils est cachée, les combinaisons de touches &Maj;gauche et &Maj; droite peuvent être utilisées pour naviguer entre les sessions.

### Options de commande en ligne

Quand &konsole; est lancé depuis une commande en ligne, plusieurs options peuvent être spécifiées pour modifier son comportement.

`--help`

  Affiche les différentes options

`-e` `nom`

  Détermine le nom qui apparaît dans la barre de titre

`--ls`

  Démarre avec un terminal. Ce qui se passe dépend de votre système, mais généralement, ceci signifie que des fichiers comme `~/.profile` ou `~/.bash_profile` seront lus (si ça ne vous dit rien, ne vous inquiétez pas, mais gardez ceci à l'esprit pour le jour ou vous en aurez besoin).

`-T` `titre`

  Détermine le titre de la fenêtre

`-tn` `terminal`

  Règle la variable d'environnement TERM à une valeur spécifiée. Lisez ``man` `xterm`` pour obtenir plus d'informations sur TERM.

`--xwin`

  Ignoré

`--nohist`

  Supprime l'enregistrement des lignes qui s'inscrivent depuis le haut de la fenêtre

`--nomenubar`

  Démarre &konsole; sans barre de menu.

`--notoolbar`

  Démarre &konsole; sans barre d'outils

`--noframe`

  Démarre &konsole; sans cadre

`--noscrollbar`

  Démarre &konsole; sans barre de défilement

`--noxft`

  Démarre &konsole; sans l'anticrénelage Xft. Les petites polices peuvent être difficiles à lire avec l'anticrénelage.

`--vt_sz` `CCxLL`

  Démarre une fenêtre de terminal de CC colonnes et LL lignes

`-type` `type`

  Démarre une session avec un certain type de session plutôt qu'avec le type par défaut.

`-workdir` `dossier`

  Ouvre dans `dossier` plutôt que dans le dossier de travail.

`-e` `command`

  Exécute `command` au lieu de l'interpréteur de commandes.

Par exemple :

    bash$
     konsole --vt_sz
     90x25  --nohist

lance une fenêtre &konsole; de 90 colonnes et 25 rangs, sans tampon d'historique

&konsole; accepte aussi les options génériques de &Qt; et &kde; :

`--help-qt`

  Affiche les options spécifiques à Qt

`--help-kde`

  Affiche les options spécifiques à KDE

`--help-all`

  Affiche toutes les options

`--author`

  Affiche le nom de(s) auteur(s)

`-v,--version`

  Affiche le numéro de la version

`--license`

  Affiche des informations sur la licence

## Remerciements et copyright

&konsole; est maintenu par Stephan Binner Stephan.Binner@gmx.de

L'application &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Ce document a été écrit par Jonathan Singer jsinger@leeta.net

Converti au format DocBook SGML par Michael McBride mmcbride@ematic.com et Lauri Watts lauri@kde.org

Traduction française par Anne-Marie a-m.mahfouf@lineone.net et Ludovic Grossard ludovic.grossard@libertysurf.fr

&underFDL; &underGPL;

## &konsole; sur les plates-formes autres que &Linux;

Des informations sur la façon de construire &konsole; sur d'autres plates-formes que &Linux; sont disponibles dans le fichier `README.ports` du code source de &kpackage;. Il donne une liste d'experts de certaines plates-formes (Tru64, &Solaris;, OpenBSD) et lance un appel à volontaires pour les autres plates-formes &UNIX;.

&documentation.index;